Package org.eclipse.cdt.utils.coff.parser

# Class PEBinaryArchive64

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.cdt.utils.BinaryFile
org.eclipse.cdt.utils.coff.parser.PEBinaryArchive64

All Implemented Interfaces:
  `IBinaryParser.IBinaryArchive`, `IBinaryParser.IBinaryFile`, `org.eclipse.core.runtime.IAdaptable`

Direct Known Subclasses:
  `CygwinPEBinaryArchive64`, `GNUPEBinaryArchive64`

public class PEBinaryArchive64 extends BinaryFile implements IBinaryParser.IBinaryArchive

Since:
  6.9

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`ARCHIVE, CORE, EXECUTABLE, OBJECT, SHARED`

## Constructor Summary

Constructors
Constructor
Description
`PEBinaryArchive64(PEParser64 parser, org.eclipse.core.runtime.IPath path)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addArchiveMembers(AR.ARHeader[] headers, ArrayList<IBinaryParser.IBinaryObject> children2)`
`IBinaryParser.IBinaryObject[]`
`getObjects()`

### Methods inherited from class org.eclipse.cdt.utils.BinaryFile

`getBinaryParser, getContents, getPath, getType, hasChanged`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`getBinaryParser, getContents, getPath, getType`

## Constructor Details

### PEBinaryArchive64

public PEBinaryArchive64(PEParser64 parser, org.eclipse.core.runtime.IPath path) throws IOException

Throws:
  `IOException`

## Method Details

### getObjects

public IBinaryParser.IBinaryObject[] getObjects()

Specified by:
  `getObjects` in interface `IBinaryParser.IBinaryArchive`
See Also:
  - `IBinaryParser.IBinaryArchive.getObjects()`

### addArchiveMembers

protected void addArchiveMembers(AR.ARHeader[] headers, ArrayList<IBinaryParser.IBinaryObject> children2)

Parameters:
  `headers` -
  `children2` -